<?php
/**
 * Template class for document export plugin
 * 
 */

abstract class document_export {
  
  protected $pages;
  
  protected $header;
  
  protected $footer;
  
  protected $document;
  
  function __construct($options){
    if(isset($options['pages'])){
      $pages_array = $options['pages'];
      if(is_array($pages_array)) $this->pages = $pages_array;
      elseif (is_string($pages_array)) $this->pages = array($pages_array);
      else $this->pages = array();
    }
    if(isset($options['header']))
      $this->header = $options['header'];
    if(isset($options['footer']))
      $this->footer = $options['footer'];
  }
  
  abstract function save($uri, $filename);
  
  abstract function stream($filename);
  
  public function test(){
    return 'Whats up?';
  }
  protected function stream_file($filename, $file){
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename=' . $filename);
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
    header('Pragma: public');
    header('Content-Length: ' . filesize($file));
    ob_clean();
    flush();
    $status = readfile($file);
    unlink($file);
    exit;
  }
}

